%define version 1.9.10
%define release 1mdk

%define pkgname gnupg

Name:		gnupg2
Summary:	GNU privacy guard - a free PGP replacement.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://www.gnupg.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/%{pkgname}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Patch0:		gnupg-1.9.3-use-ImageMagick-for-photo.patch.bz2

BuildRequires:	openldap2-devel
BuildRequires:	smtpdaemon
BuildRequires:	libgpg-error-devel >= 0.7
BuildRequires:	libgcrypt-devel >= 1.1.94
BuildRequires:	libassuan-devel >= 0.6.6
BuildRequires:	libksba-devel >= 0.9.7
BuildRequires:	opensc-devel >= 0.8.0
BuildRequires:	zlib-devel
BuildRequires:	pth-devel >= 2.0.0
Prereq:		/sbin/install-info
Obsoletes:	newpg
Provides:	newpg = %{version}-%{release}
Requires:	dirmngr
Requires:	pinentry
Requires:	gnupg

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .ImageMagick

%build
# (Abel) set correct helper path... though useless. gnupg 2 can't
# use gnupg 1.2 keyserver helpers, it can only work with helpers from
# gnupg 1.3 -- that means it's pretty useless for everybody except me :-P
%define _libexecdir %{_libdir}/gnupg

%configure2_5x
%make

# all tests must pass
make check

%install
rm -rf %{buildroot}
%makeinstall_std

# remove this from package because the content of options.skel is the
# identical for both gnupg 1/2, except for comment
rm -rf %{buildroot}%{_datadir}/gnupg

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%_install_info gnupg.info

%postun
%_remove_install_info gnupg.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README NEWS THANKS TODO ChangeLog
%attr(4755,root,root) %{_bindir}/gpg2
%attr(4755,root,root) %{_bindir}/gpgsm
%{_bindir}/gpg-agent
%{_bindir}/gpgconf
%{_bindir}/gpgv2
%{_bindir}/kbxutil
%{_bindir}/sc*
%{_bindir}/watchgnupg
%{_sbindir}/addgnupghome
%{_libdir}/gnupg
%{_libexecdir}/gpg-protect-tool
#{_datadir}/gnupg
%{_infodir}/gnupg.info*

%changelog
* Thu Aug 19 2004 Abel Cheung <deaddog@deaddog.org> 1.9.10-1mdk
- New version
- Remove P1 (upstream)

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 1.9.8-1mdk
- New version
- Use tarball instead, signed upstream
- Requires new libpth
- Patch1: Fix typo which prevents compilation

* Thu May  6 2004 Olivier Blin <blino@mandrake.org> 1.9.3-3mdk
- buildrequires
- rebuild for new libgcrypt

* Mon Jan 26 2004 Abel Cheung <deaddog@deaddog.org> 1.9.3-2mdk
- Rebuild with new libpth

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 1.9.3-1mdk
- First Mandrake package, based on spec of gnupg
- Patch0: Use ImageMagick to display photo by default

